TA的每日心情 | 开心 昨天 06:36 |
---|
签到天数: 15 天 [LV.4]偶尔看看III
管理员
- 积分
- 1308
|
- //在AutoCAD的模型空间中创建一个新的文本对象(单行),并返回这个新对象的ID(三维插入点、文本字符串、文本样式、文本高度和旋转角度)
- AcDbObjectId FymText::AddText(const AcGePoint3d& ptInsert, const ACHAR* text, AcDbObjectId style, double height, double rotation)
- { //创建一个新的AcDbText对象,即CAD中创建的文本
- AcDbText* pTxt = new AcDbText(ptInsert, text, style, height, rotation);
- return FymDatabase::PostToModelSpace(pTxt);
- }
- //CAD模型空间创建多行文本
- AcDbObjectId FymText::AddMText(const AcGePoint3d& ptInsert, const ACHAR* text, AcDbObjectId style, double height, double width)
- {
- AcDbMText* pMtext = new AcDbMText();
- pMtext->setTextStyle(style);//样式
- pMtext->setContents(text);//文本内容
- pMtext->setLocation(ptInsert);//插入点
- pMtext->setHeight(height);//文字高度
- pMtext->setWidth(width);//宽度
- pMtext->setAttachment(AcDbMText::kBottomLeft);//位置:左下角
- return FymDatabase::PostToModelSpace(pMtext);//返回ID并添加到模型空间
- }
复制代码 |
|